Summary:	gnome-jabber library
Name:		gnome-jabber
Version:	20040120
Release:	cvs
Group:		X11/Internet
Copyright:	LGPL
Source0:        %{name}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}.patch
URL:		http://gnome-jabber.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	gnet
BuildRequires:	gnet-devel

%description
cvs -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co gnome-jabber
gnome-jabber - Client for ICQ, MSN, AIM, Yahoo, etc.

%prep
%setup -q -n %{name}
%patch0 -p0

%build
autogen.sh \
    --prefix=/usr \
    --sysconfdir=/etc \
    --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
